# E-Invoice & E-WayBills: Get E-Waybill Generated By Consigner

This API is used to get details of e-waybill generated by consigner for a given document.

## URL

```
GET https://cloud.octagst.com/api/octa/einvoice/getewaybillgeneratedbyconsigner?gstin={value}&doctype={value}&docno={value}
```

## Query Parameters

| Name      | Description                     | Type      | Value                                                                                                                  |
| --------- | ------------------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------- |
| `gstin`   | It specifies GSTIN of requester | Mandatory |                                                                                                                        |
| `doctype` | It specifies document type      | Mandatory | <br/>`INV`: Invoice<br/>`BIL`: Bill of Supply<br/>`BOE`: Bill of Entry<br/> `CHL`: Delivery Challan<br/> `OTH`: Others |
| `docno`   | It specifies document number    | Mandatory |                                                                                                                        |

## Success Response

Response payload will contains the success status along with e-Waybill information.

```json
{
  "Success": true,
  "EwbStatus": "ACT",
  "EwbNo": "191008688443",
  "EwbTime": "27/11/2020 17:23:45",
  "EwbValidTill": "29/11/2020 17:23:45"
}
```

## Failure Response

If API request fails for some reason, response payload will contain the failure status and a list of errors.

```json
{
  "Success": false,
  "Errors": [
    {
      "Code": "ERR_CODE_1",
      "Message": "ERR MESSAGE 1"
    },
    {
      "Code": "ERR_CODE_n",
      "Message": "ERR MESSAGE n"
    }
  ]
}
```